This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 13013 - Incorrect dependency for rpm-4.0-0.45
Incorrect dependency for rpm-4.0-0.45
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-25 09:59 EDT by Reuben Farrelly
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-26 16:39:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reuben Farrelly 2000-06-25 09:59:46 EDT
I've just tried to upgrade rpm from rpm 3.0.5-0.3 to rpm-4.0-0.45 and I 
now see this error:

[root@tornado reuben]# rpm -Uvh rpm-4.0-0.45.i386.rpm 
error: failed dependencies:
        libbz2.so.0 is needed by rpm-4.0-0.45

The problem being that libbz2.so.0 is a part of the old pre-1.0 release 
bzip2 rpm's.  The bzip2-1.0.0-2 provides these files:
/usr/lib/libbz2.so.1
/usr/lib/libbz2.so.1.0.0

So without downgrading to bzip2-0.95 I can't upgrade RPM without --nodeps 
on it...
Comment 1 Sammy 2000-06-26 16:39:54 EDT
Problem with packages being built with different libraries (inconsistent).
I saved my libbz2.so.0 libraries and restored them by hand after upgrading
bzip2. Then I used --nodeps. It takes them a while to get everything
consistent. This was the same with ncurses versions 5 and 4. Finally they
have the compatibility stuff in.
Comment 2 Jeff Johnson 2000-07-05 08:15:04 EDT
The rpm 4.0 package that you (probably) downloaded from ftp.rpm.org is for
older Red Hat systems, not Red Hat 7.0. Older systems do not have bzip2-1.0,
so the dependency is correct.

Note You need to log in before you can comment on or make changes to this bug.